# Assign an image or PDF to be the new preview for one or more Assets. Generate a request to upload an image or PDF file to be the new preview for one or more Assets. Supported preview image formats include: GIF, JPG, PNG, and TIFF. If a PDF file is uploaded to be the preview for a document Asset, then the PDF will also be displayed in the Asset Detail page as the multi-page PDF preview. After submitting the request to replace an Asset preview, The user replacing the Asset previews must be granted the Replace Mezzanine and Upload User Role Permissions and View Security Template Permission on the Assets being updated. For Federated Assets, if user provides optional contentPaths key in the request body, then files referenced in the contentPaths > properties are used as renditions. Endpoint: POST /asset/content/preview Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `fileIds` (array) Example: ["7d6f4e30-f423-11e9-8071-89c0c4052141"] - `filename` (string) Example: "Preview.jpg" - `filesize` (integer) Example: 1024 - `contentPaths` (object) This property is used only for federated assets Example: {"imagePreview":"","imageThumb":"","videoProxy":""} ## Response 200 fields (application/json): - `message` (string) Example: "Message sent successfully" - `status` (string) status of the request, success or failure ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)